package com.zulutrade.sample.trading.client.configuration;

/**
 * Holder of target user's
 * zulu credentials
 *
 * @author ZuluTrade
 */
public class ZuluTradeAuthenticationInfo {
	
	/**
	 * zulu account username
	 */
	private final String zuluAccountUsername;
	
	/**
	 * zulu account password
	 */
	private final String zuluAccountPassword;
	
	
	/**
	 * 
	 * @param zuluAccountUsername zulu account username
	 * @param zuluAccountPassword zulu account password
	 */
	public ZuluTradeAuthenticationInfo(String zuluAccountUsername, String zuluAccountPassword){
		this.zuluAccountUsername = zuluAccountUsername;
		this.zuluAccountPassword = zuluAccountPassword;
	}
	
	/**
	 * 
	 * @return zulu account username
	 */
	public String getZuluAccountUsername(){
		return this.zuluAccountUsername;
	}
	
	/**
	 * 
	 * @return zulu account password
	 */
	public String getZuluAccountPassword(){
		return this.zuluAccountPassword;
	}
	
}
